# Form implementation generated from reading ui file 'src/eric7/Plugins/CheckerPlugins/SyntaxChecker/SyntaxCheckerDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_SyntaxCheckerDialog(object):
    def setupUi(self, SyntaxCheckerDialog):
        SyntaxCheckerDialog.setObjectName("SyntaxCheckerDialog")
        SyntaxCheckerDialog.resize(800, 700)
        SyntaxCheckerDialog.setSizeGripEnabled(True)
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(SyntaxCheckerDialog)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.filterFrame = QtWidgets.QFrame(parent=SyntaxCheckerDialog)
        self.filterFrame.setObjectName("filterFrame")
        self.gridLayout = QtWidgets.QGridLayout(self.filterFrame)
        self.gridLayout.setContentsMargins(0, 0, 0, 0)
        self.gridLayout.setObjectName("gridLayout")
        self.label_2 = QtWidgets.QLabel(parent=self.filterFrame)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 0, 0, 1, 1)
        self.excludeFilesEdit = QtWidgets.QLineEdit(parent=self.filterFrame)
        self.excludeFilesEdit.setClearButtonEnabled(True)
        self.excludeFilesEdit.setObjectName("excludeFilesEdit")
        self.gridLayout.addWidget(self.excludeFilesEdit, 0, 1, 1, 1)
        self.line = QtWidgets.QFrame(parent=self.filterFrame)
        self.line.setLineWidth(2)
        self.line.setFrameShape(QtWidgets.QFrame.Shape.VLine)
        self.line.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line.setObjectName("line")
        self.gridLayout.addWidget(self.line, 0, 2, 2, 1)
        self.startButton = QtWidgets.QPushButton(parent=self.filterFrame)
        self.startButton.setObjectName("startButton")
        self.gridLayout.addWidget(self.startButton, 0, 3, 1, 1)
        self.label_3 = QtWidgets.QLabel(parent=self.filterFrame)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 1, 0, 1, 1)
        self.builtinsEdit = QtWidgets.QLineEdit(parent=self.filterFrame)
        self.builtinsEdit.setClearButtonEnabled(True)
        self.builtinsEdit.setObjectName("builtinsEdit")
        self.gridLayout.addWidget(self.builtinsEdit, 1, 1, 1, 1)
        self.verticalLayout_2.addWidget(self.filterFrame)
        self.resultList = QtWidgets.QTreeWidget(parent=SyntaxCheckerDialog)
        self.resultList.setAlternatingRowColors(True)
        self.resultList.setExpandsOnDoubleClick(False)
        self.resultList.setObjectName("resultList")
        self.verticalLayout_2.addWidget(self.resultList)
        self.checkProgress = QtWidgets.QProgressBar(parent=SyntaxCheckerDialog)
        self.checkProgress.setProperty("value", 0)
        self.checkProgress.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.checkProgress.setObjectName("checkProgress")
        self.verticalLayout_2.addWidget(self.checkProgress)
        self.statisticsGroup = QtWidgets.QGroupBox(parent=SyntaxCheckerDialog)
        self.statisticsGroup.setObjectName("statisticsGroup")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.statisticsGroup)
        self.verticalLayout.setObjectName("verticalLayout")
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.label_8 = QtWidgets.QLabel(parent=self.statisticsGroup)
        self.label_8.setObjectName("label_8")
        self.horizontalLayout.addWidget(self.label_8)
        self.totalLabel = QtWidgets.QLabel(parent=self.statisticsGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.totalLabel.sizePolicy().hasHeightForWidth())
        self.totalLabel.setSizePolicy(sizePolicy)
        self.totalLabel.setText("")
        self.totalLabel.setObjectName("totalLabel")
        self.horizontalLayout.addWidget(self.totalLabel)
        self.label_9 = QtWidgets.QLabel(parent=self.statisticsGroup)
        self.label_9.setObjectName("label_9")
        self.horizontalLayout.addWidget(self.label_9)
        self.skippedLabel = QtWidgets.QLabel(parent=self.statisticsGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.skippedLabel.sizePolicy().hasHeightForWidth())
        self.skippedLabel.setSizePolicy(sizePolicy)
        self.skippedLabel.setText("")
        self.skippedLabel.setObjectName("skippedLabel")
        self.horizontalLayout.addWidget(self.skippedLabel)
        self.label = QtWidgets.QLabel(parent=self.statisticsGroup)
        self.label.setObjectName("label")
        self.horizontalLayout.addWidget(self.label)
        self.checkedLabel = QtWidgets.QLabel(parent=self.statisticsGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.checkedLabel.sizePolicy().hasHeightForWidth())
        self.checkedLabel.setSizePolicy(sizePolicy)
        self.checkedLabel.setText("")
        self.checkedLabel.setObjectName("checkedLabel")
        self.horizontalLayout.addWidget(self.checkedLabel)
        self.label_4 = QtWidgets.QLabel(parent=self.statisticsGroup)
        self.label_4.setObjectName("label_4")
        self.horizontalLayout.addWidget(self.label_4)
        self.issuesLabel = QtWidgets.QLabel(parent=self.statisticsGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.issuesLabel.sizePolicy().hasHeightForWidth())
        self.issuesLabel.setSizePolicy(sizePolicy)
        self.issuesLabel.setText("")
        self.issuesLabel.setObjectName("issuesLabel")
        self.horizontalLayout.addWidget(self.issuesLabel)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.label_5 = QtWidgets.QLabel(parent=self.statisticsGroup)
        self.label_5.setObjectName("label_5")
        self.horizontalLayout_2.addWidget(self.label_5)
        self.errorsLabel = QtWidgets.QLabel(parent=self.statisticsGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.errorsLabel.sizePolicy().hasHeightForWidth())
        self.errorsLabel.setSizePolicy(sizePolicy)
        self.errorsLabel.setText("")
        self.errorsLabel.setObjectName("errorsLabel")
        self.horizontalLayout_2.addWidget(self.errorsLabel)
        self.label_6 = QtWidgets.QLabel(parent=self.statisticsGroup)
        self.label_6.setObjectName("label_6")
        self.horizontalLayout_2.addWidget(self.label_6)
        self.warningsLabel = QtWidgets.QLabel(parent=self.statisticsGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.warningsLabel.sizePolicy().hasHeightForWidth())
        self.warningsLabel.setSizePolicy(sizePolicy)
        self.warningsLabel.setText("")
        self.warningsLabel.setObjectName("warningsLabel")
        self.horizontalLayout_2.addWidget(self.warningsLabel)
        self.label_7 = QtWidgets.QLabel(parent=self.statisticsGroup)
        self.label_7.setObjectName("label_7")
        self.horizontalLayout_2.addWidget(self.label_7)
        self.pyWarningsLabel = QtWidgets.QLabel(parent=self.statisticsGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.pyWarningsLabel.sizePolicy().hasHeightForWidth())
        self.pyWarningsLabel.setSizePolicy(sizePolicy)
        self.pyWarningsLabel.setText("")
        self.pyWarningsLabel.setObjectName("pyWarningsLabel")
        self.horizontalLayout_2.addWidget(self.pyWarningsLabel)
        self.verticalLayout.addLayout(self.horizontalLayout_2)
        self.verticalLayout_2.addWidget(self.statisticsGroup)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=SyntaxCheckerDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout_2.addWidget(self.buttonBox)

        self.retranslateUi(SyntaxCheckerDialog)
        QtCore.QMetaObject.connectSlotsByName(SyntaxCheckerDialog)
        SyntaxCheckerDialog.setTabOrder(self.excludeFilesEdit, self.builtinsEdit)
        SyntaxCheckerDialog.setTabOrder(self.builtinsEdit, self.startButton)
        SyntaxCheckerDialog.setTabOrder(self.startButton, self.resultList)

    def retranslateUi(self, SyntaxCheckerDialog):
        _translate = QtCore.QCoreApplication.translate
        SyntaxCheckerDialog.setWindowTitle(_translate("SyntaxCheckerDialog", "Syntax Check Result"))
        SyntaxCheckerDialog.setWhatsThis(_translate("SyntaxCheckerDialog", "<b>Syntax Check Results</b>\n"
"<p>This dialog shows the results of the syntax check. Double clicking an\n"
"entry will open an editor window and position the cursor at the respective line.</p>"))
        self.label_2.setText(_translate("SyntaxCheckerDialog", "Exclude Files:"))
        self.excludeFilesEdit.setToolTip(_translate("SyntaxCheckerDialog", "Enter filename patterns of files to be excluded separated by a comma"))
        self.startButton.setToolTip(_translate("SyntaxCheckerDialog", "Press to start the syntax check run"))
        self.startButton.setText(_translate("SyntaxCheckerDialog", "Start"))
        self.label_3.setText(_translate("SyntaxCheckerDialog", "Additional \'builtins\':"))
        self.builtinsEdit.setToolTip(_translate("SyntaxCheckerDialog", "Enter additional \'builtins\' names separated by whitespace."))
        self.resultList.setWhatsThis(_translate("SyntaxCheckerDialog", "<b>Result List</b>\n"
"<p>This list shows the results of the syntax check. Double clicking\n"
"an entry will open this entry in an editor window and position the cursor at\n"
"the respective line.</p>"))
        self.resultList.setSortingEnabled(True)
        self.resultList.headerItem().setText(0, _translate("SyntaxCheckerDialog", "File/Line"))
        self.resultList.headerItem().setText(1, _translate("SyntaxCheckerDialog", "Message"))
        self.resultList.headerItem().setText(2, _translate("SyntaxCheckerDialog", "Source"))
        self.checkProgress.setToolTip(_translate("SyntaxCheckerDialog", "Shows the progress of the syntax check action"))
        self.checkProgress.setFormat(_translate("SyntaxCheckerDialog", "%v/%m Files"))
        self.statisticsGroup.setTitle(_translate("SyntaxCheckerDialog", "Statistics"))
        self.label_8.setText(_translate("SyntaxCheckerDialog", "Files Total:"))
        self.label_9.setText(_translate("SyntaxCheckerDialog", "Files Skipped:"))
        self.label.setText(_translate("SyntaxCheckerDialog", "Files Checked:"))
        self.label_4.setText(_translate("SyntaxCheckerDialog", "Files with Issues:"))
        self.label_5.setText(_translate("SyntaxCheckerDialog", "Errors:"))
        self.label_6.setText(_translate("SyntaxCheckerDialog", "Warnings:"))
        self.label_7.setText(_translate("SyntaxCheckerDialog", "Python Warnings:"))
